Results 1 to 1 of 1

  Click here to go to the first Dev post in this thread.   Thread: Google Play "Device Not Compatible" Workaround

  1.   This is the last Dev post in this thread.   #1
    Moderator Remiem's Avatar
    Join Date
    Dec 2013
    Posts
    3,111
    Thanks Thanks Given 
    342
    Thanks Thanks Received 
    10,519
    Thanked in
    1,559 Posts

    Default Google Play "Device Not Compatible" Workaround

    We're aware of an issue where some people get a "Device not compatible" error message in the Google Play Store when trying to download the latest version of Arcane Legends, even though the game should support the phone. Google is currently investigating this issue with Google Play Store.

    As a temporary workaround, Google suggests clearing Google Play Store's data from your phone and then trying to install Arcane Legends. To do this, go to Settings > Application Manager > All > Google Play Store > Clear data.

    Another suggestion is to re-install the whole Google Play Store App. To do this go to Settings > Apps > All > Google Play Store > uninstall updates. After that try to install Arcane Legends again.
    | | | |

    Need help? Please visit our Support Website at http://support.spacetimestudios.com

  2. The Following 8 Users Say Thank You to Remiem For This Useful Post:


Similar Threads

  1. [ANDROID] How To Fix Google Play Error: -18"
    By Schnitzel in forum AL Technical Issues and Bugs
    Replies: 12
    Last Post: 05-02-2016, 04:30 AM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •